Subject: checks written
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Sun, 16 Oct 2005 20:58:18 -0400

Hi there

I've written out checks 1683 to 1691 - each for $25.00 from the grant money to the poets. I'm sending the copies down in the packet I'll mail tomorrow. I will also make a $30 deposit - Donna (we sold her artwork) gave us a donation. 

Linda - I'll call tomorrow - I promise!

Also - are you guys ready for the Red Letter Day spreadsheet yet for the thank you letters? It's coming up on three months...

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007